Bug 182258 - [MAINTAINER] update converters/bsdconv to 11.1
Summary: [MAINTAINER] update converters/bsdconv to 11.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-20 22:40 UTC by buganini
Modified: 2013-09-21 16:50 UTC (History)
0 users

See Also:


Attachments
file.diff (9.04 KB, patch)
2013-09-20 22:40 UTC, buganini
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description buganini 2013-09-20 22:40:00 UTC
Update converters/bsdconv to 11.1

Changelog:
https://github.com/buganini/bsdconv/blob/master/Changelog

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-09-20 22:40:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

sunpoet@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-09-21 16:41:57 UTC
Author: sunpoet
Date: Sat Sep 21 15:41:48 2013
New Revision: 327827
URL: http://svnweb.freebsd.org/changeset/ports/327827

Log:
  - Update to 11.1
  
  Changes:	https://github.com/buganini/bsdconv/blob/master/Changelog
  PR:		ports/182258
  Submitted by:	Kuan-Chung Chiu <buganini@gmail.com> (maintainer)

Modified:
  head/converters/bsdconv/Makefile   (contents, props changed)
  head/converters/bsdconv/distinfo   (contents, props changed)
  head/converters/bsdconv/files/patch-Makefile
  head/converters/bsdconv/pkg-plist   (contents, props changed)

Modified: head/converters/bsdconv/Makefile
==============================================================================
--- head/converters/bsdconv/Makefile	Sat Sep 21 15:41:43 2013	(r327826)
+++ head/converters/bsdconv/Makefile	Sat Sep 21 15:41:48 2013	(r327827)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	bsdconv
-PORTVERSION=	10.0
+PORTVERSION=	11.1
 CATEGORIES=	converters
 DISTNAME=	${GH_ACCOUNT}-${GH_PROJECT}-${PORTVERSION}-0-g${GH_COMMIT}
 
@@ -13,12 +13,13 @@ LICENSE=	BSD
 
 USE_GITHUB=	yes
 GH_ACCOUNT=	buganini
-GH_COMMIT=	d4bd6ac
+GH_COMMIT=	8ccd7e3
 
 OPTIONS_DEFINE=	CHINESE EBCDIC
 CHINESE_DESC=	Extra Chinese codecs
 EBCDIC_DESC=	EBCDIC codecs
 
+NO_STAGE=	yes
 USE_LDCONFIG=	yes
 
 MAKE_ARGS=	PREFIX=${PREFIX}
@@ -26,7 +27,6 @@ MAKE_ARGS=	PREFIX=${PREFIX}
 ALL_TARGET=	libbsdconv bsdconv-mktable meta bsdconv-man bsdconv-completion bsdconv codecs_basic
 INSTALL_TARGET=	installdir install_main install_basic
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MCHINESE}

Modified: head/converters/bsdconv/distinfo
==============================================================================
--- head/converters/bsdconv/distinfo	Sat Sep 21 15:41:43 2013	(r327826)
+++ head/converters/bsdconv/distinfo	Sat Sep 21 15:41:48 2013	(r327827)
@@ -1,2 +1,2 @@
-SHA256 (buganini-bsdconv-10.0-0-gd4bd6ac.tar.gz) = bfe7a5039d3118450a2ea1ee6d358e546c6da544a83ff93781dd1ecad8a219d1
-SIZE (buganini-bsdconv-10.0-0-gd4bd6ac.tar.gz) = 5753118
+SHA256 (buganini-bsdconv-11.1-0-g8ccd7e3.tar.gz) = 5ce36848e37d6dac342518788ee40f4b774d92bedf30c52a52075d376ac94d0f
+SIZE (buganini-bsdconv-11.1-0-g8ccd7e3.tar.gz) = 5812445

Modified: head/converters/bsdconv/files/patch-Makefile
==============================================================================
--- head/converters/bsdconv/files/patch-Makefile	Sat Sep 21 15:41:43 2013	(r327826)
+++ head/converters/bsdconv/files/patch-Makefile	Sat Sep 21 15:41:48 2013	(r327827)
@@ -2,7 +2,7 @@
 +++ Makefile	2012-08-16 22:36:47.000000000 +0800
 @@ -3,17 +3,9 @@
  CFLAGS+=-Wall -DPREFIX='"${PREFIX}"' -DBSDCONV_PATH='"${BSDCONV_PATH}"'
- SHLIBVER=10
+ SHLIBVER=7
  
 -UNAME_S=$(shell uname -s)
 -ifeq (${UNAME_S}, Darwin)
@@ -16,37 +16,4 @@
 -LIBS+=-ldl
 -endif
  
- TODO_CODECS_BASIC=
- TODO_CODECS_BASIC+=from/00
-@@ -184,27 +176,27 @@
- bsdconv-man: builddir libbsdconv meta src/bsdconv.h src/bsdconv.c
- 	$(CC) ${CFLAGS} src/bsdconv-man.c -L./build/lib/ -o build/bin/bsdconv-man -lbsdconv ${LIBS}
- 
--bsdconv-completion: builddir libbsdconv src/bsdconv.h src/bsdconv-completion.c
-+bsdconv-completion: builddir libbsdconv meta src/bsdconv.h src/bsdconv-completion.c
- 	$(CC) ${CFLAGS} src/bsdconv-completion.c -L./build/lib -o build/bin/bsdconv-completion -lbsdconv ${LIBS}
- 
- bsdconv_dbg: builddir libbsdconv src/libbsdconv.c src/bsdconv.h src/bsdconv_dbg.c
- 	$(CC) ${CFLAGS} src/libbsdconv.c src/bsdconv_dbg.c -o build/bin/bsdconv_dbg ${LIBS}
- 
--codecs_basic: builddir bsdconv-mktable
-+codecs_basic: builddir bsdconv-mktable libbsdconv meta
- 	for item in ${TODO_CODECS_BASIC} ; do \
- 		./build/bin/bsdconv-mktable codecs/$${item}.txt ./build/share/bsdconv/$${item} ; \
- 		if [ -e codecs/$${item}.man ]; then cp codecs/$${item}.man ./build/share/bsdconv/$${item}.man ; fi ; \
- 		if [ -e codecs/$${item}.c ]; then $(CC) ${CFLAGS} codecs/$${item}.c -L./build/lib/ -fPIC -shared -o ./build/share/bsdconv/$${item}.so -lbsdconv ${LIBS} ; fi ; \
- 	done
- 
--codecs_chinese: builddir bsdconv-mktable
-+codecs_chinese: builddir bsdconv-mktable libbsdconv meta
- 	for item in ${TODO_CODECS_CHINESE} ; do \
- 		./build/bin/bsdconv-mktable codecs/$${item}.txt ./build/share/bsdconv/$${item} ; \
- 		if [ -e codecs/$${item}.man ]; then cp codecs/$${item}.man ./build/share/bsdconv/$${item}.man ; fi ; \
- 		if [ -e codecs/$${item}.c ]; then $(CC) ${CFLAGS} codecs/$${item}.c -L./build/lib/ -fPIC -shared -o ./build/share/bsdconv/$${item}.so -lbsdconv ${LIBS} ; fi ; \
- 	done
- 
--codecs_ebcdic: builddir bsdconv-mktable
-+codecs_ebcdic: builddir bsdconv-mktable libbsdconv meta
- 	for item in ${TODO_CODECS_EBCDIC} ; do \
- 		./build/bin/bsdconv-mktable codecs/$${item}.txt ./build/share/bsdconv/$${item} ; \
- 		if [ -e codecs/$${item}.man ]; then cp codecs/$${item}.man ./build/share/bsdconv/$${item}.man ; fi ; \
+ TODO_CODECS_BASIC_TABLE=

Modified: head/converters/bsdconv/pkg-plist
==============================================================================
--- head/converters/bsdconv/pkg-plist	Sat Sep 21 15:41:43 2013	(r327826)
+++ head/converters/bsdconv/pkg-plist	Sat Sep 21 15:41:48 2013	(r327827)
@@ -4,7 +4,7 @@ bin/bsdconv-man
 bin/bsdconv-mktable
 include/bsdconv.h
 lib/libbsdconv.so
-lib/libbsdconv.so.10
+lib/libbsdconv.so.11
 %%DATADIR%%/from/alias
 %%DATADIR%%/inter/alias
 %%DATADIR%%/to/alias
@@ -22,14 +22,19 @@ lib/libbsdconv.so.10
 %%DATADIR%%/from/ASCII
 %%DATADIR%%/from/BIG5-5C
 %%DATADIR%%/from/BSDCONV
+%%DATADIR%%/from/BSDCONV.man
 %%DATADIR%%/from/BSDCONV.so
-%%DATADIR%%/from/BSDCONV_KEYWORD
-%%DATADIR%%/from/BSDCONV_LOG
-%%DATADIR%%/from/BSDCONV_LOG.so
+%%DATADIR%%/from/BSDCONV-KEYWORD
+%%DATADIR%%/from/BSDCONV-KEYWORD.man
+%%DATADIR%%/from/BSDCONV-LOG
+%%DATADIR%%/from/BSDCONV-LOG.man
+%%DATADIR%%/from/BSDCONV-LOG.so
 %%DATADIR%%/from/BYTE
 %%DATADIR%%/from/ESCAPE
+%%DATADIR%%/from/ESCAPE.man
 %%DATADIR%%/from/ESCAPE.so
 %%DATADIR%%/from/PASS
+%%DATADIR%%/from/PASS.man
 %%DATADIR%%/from/PASS.so
 %%DATADIR%%/from/UTF-16BE
 %%DATADIR%%/from/UTF-16BE.so
@@ -52,31 +57,41 @@ lib/libbsdconv.so.10
 %%DATADIR%%/from/_SHIFT-JIS
 %%DATADIR%%/from/_UAO250
 %%DATADIR%%/from/_UTF-8
+%%DATADIR%%/from/_UTF-8.man
 %%DATADIR%%/from/_UTF-8.so
+%%DATADIR%%/inter/ALIAS-FROM
+%%DATADIR%%/inter/ALIAS-FROM.so
+%%DATADIR%%/inter/ALIAS-INTER
+%%DATADIR%%/inter/ALIAS-TO
+%%DATADIR%%/inter/ALIAS-TO.so
 %%DATADIR%%/inter/AMBIGUOUS-PAD
+%%DATADIR%%/inter/AMBIGUOUS-PAD.man
 %%DATADIR%%/inter/AMBIGUOUS-PAD.so
 %%DATADIR%%/inter/AMBIGUOUS-UNPAD
+%%DATADIR%%/inter/AMBIGUOUS-UNPAD.man
 %%DATADIR%%/inter/AMBIGUOUS-UNPAD.so
 %%DATADIR%%/inter/BIG5-DEFRAG
 %%DATADIR%%/inter/BIG5-DEFRAG.so
-%%DATADIR%%/inter/FROM_ALIAS
-%%DATADIR%%/inter/FROM_ALIAS.so
+%%DATADIR%%/inter/COUNT
+%%DATADIR%%/inter/COUNT.man
+%%DATADIR%%/inter/COUNT.so
 %%DATADIR%%/inter/FULL
 %%DATADIR%%/inter/HALF
-%%DATADIR%%/inter/INTER_ALIAS
-%%DATADIR%%/inter/KANA_PHONETIC
+%%DATADIR%%/inter/INSERT
+%%DATADIR%%/inter/INSERT.man
+%%DATADIR%%/inter/INSERT.so
+%%DATADIR%%/inter/KANA-PHONETIC
 %%DATADIR%%/inter/LOWER
 %%DATADIR%%/inter/MAC
 %%DATADIR%%/inter/NOBOM
 %%DATADIR%%/inter/NL2BR
+%%DATADIR%%/inter/PASS
+%%DATADIR%%/inter/PASS.man
+%%DATADIR%%/inter/PASS.so
 %%DATADIR%%/inter/SCORE
 %%DATADIR%%/inter/SCORE.so
-%%DATADIR%%/inter/SCORE_TRAIN
-%%DATADIR%%/inter/SCORE_TRAIN.so
-%%DATADIR%%/inter/SPLIT
-%%DATADIR%%/inter/SPLIT.so
-%%DATADIR%%/inter/TO_ALIAS
-%%DATADIR%%/inter/TO_ALIAS.so
+%%DATADIR%%/inter/SCORE-TRAIN
+%%DATADIR%%/inter/SCORE-TRAIN.so
 %%DATADIR%%/inter/TRIM-WIDTH
 %%DATADIR%%/inter/TRIM-WIDTH.so
 %%DATADIR%%/inter/UNIX
@@ -87,17 +102,31 @@ lib/libbsdconv.so.10
 %%DATADIR%%/inter/WHITESPACE-RERAIL
 %%DATADIR%%/inter/WHITESPACE-RERAIL.so
 %%DATADIR%%/inter/WIDTH
+%%DATADIR%%/inter/WIDTH.man
 %%DATADIR%%/inter/WIDTH.so
 %%DATADIR%%/inter/WIN
 %%DATADIR%%/inter/ZH-STRINGS
+%%DATADIR%%/inter/ZH-STRINGS.man
 %%DATADIR%%/inter/ZH-STRINGS.so
 %%DATADIR%%/inter/ZHCN
 %%DATADIR%%/inter/ZHTW
-%%DATADIR%%/inter/ZHTW_WORDS
-%%DATADIR%%/inter/ZH_FUZZY_TW
-%%DATADIR%%/inter/ZH_FUZZY_CN
+%%DATADIR%%/inter/ZHTW-WORDS
+%%DATADIR%%/inter/ZH-FUZZY-TW
+%%DATADIR%%/inter/ZH-FUZZY-CN
+%%DATADIR%%/inter/_NFC
+%%DATADIR%%/inter/_NFC.so
+%%DATADIR%%/inter/_NFC-MAP
+%%DATADIR%%/inter/_NFD
+%%DATADIR%%/inter/_NFKD
+%%DATADIR%%/inter/_NF-HANGUL-COMPOSITION
+%%DATADIR%%/inter/_NF-HANGUL-COMPOSITION.so
+%%DATADIR%%/inter/_NF-HANGUL-DECOMPOSITION
+%%DATADIR%%/inter/_NF-HANGUL-DECOMPOSITION.so
+%%DATADIR%%/inter/_NF-ORDER
+%%DATADIR%%/inter/_NF-ORDER.so
 %%DATADIR%%/to/00
 %%DATADIR%%/to/ANY
+%%DATADIR%%/to/ANY.man
 %%DATADIR%%/to/ANY.so
 %%DATADIR%%/to/ASCII-HTML-CNS11643-IMG
 %%DATADIR%%/to/ASCII-HTML-CNS11643-IMG.so
@@ -110,21 +139,22 @@ lib/libbsdconv.so.10
 %%DATADIR%%/to/BIG5-5C
 %%DATADIR%%/to/BSDCONV
 %%DATADIR%%/to/BSDCONV.so
-%%DATADIR%%/to/BSDCONV_KEYWORD
-%%DATADIR%%/to/BSDCONV_LOG
-%%DATADIR%%/to/BSDCONV_LOG.so
-%%DATADIR%%/to/BSDCONV_STDOUT
-%%DATADIR%%/to/BSDCONV_STDOUT.so
+%%DATADIR%%/to/BSDCONV-KEYWORD
+%%DATADIR%%/to/BSDCONV-KEYWORD.man
+%%DATADIR%%/to/BSDCONV-LOG
+%%DATADIR%%/to/BSDCONV-LOG.so
+%%DATADIR%%/to/BSDCONV-STDOUT
+%%DATADIR%%/to/BSDCONV-STDOUT.so
 %%DATADIR%%/to/BYTE
 %%DATADIR%%/to/_CP1251
 %%DATADIR%%/to/_CP1252
 %%DATADIR%%/to/_CP1253
 %%DATADIR%%/to/_CP874
 %%DATADIR%%/to/_CP936
-%%DATADIR%%/to/CP936_TRANS
+%%DATADIR%%/to/CP936-TRANS
 %%DATADIR%%/to/_CP949
 %%DATADIR%%/to/_CP950
-%%DATADIR%%/to/CP950_TRANS
+%%DATADIR%%/to/CP950-TRANS
 %%DATADIR%%/to/ESCAPE
 %%DATADIR%%/to/ESCAPE.man
 %%DATADIR%%/to/ESCAPE.so
@@ -137,8 +167,10 @@ lib/libbsdconv.so.10
 %%DATADIR%%/to/NULL
 %%DATADIR%%/to/NULL.so
 %%DATADIR%%/to/PASS
+%%DATADIR%%/to/PASS.man
 %%DATADIR%%/to/PASS.so
 %%DATADIR%%/to/RAW
+%%DATADIR%%/to/RAW.man
 %%DATADIR%%/to/RAW.so
 %%DATADIR%%/to/_UAO250
 %%DATADIR%%/to/UCS-2BE
@@ -165,10 +197,10 @@ lib/libbsdconv.so.10
 %%CHINESE%%%%DATADIR%%/inter/CHEWING
 %%CHINESE%%%%DATADIR%%/inter/CHEWING.man
 %%CHINESE%%%%DATADIR%%/inter/CNS11643
-%%CHINESE%%%%DATADIR%%/inter/HAN_PINYIN
+%%CHINESE%%%%DATADIR%%/inter/HAN-PINYIN
 %%CHINESE%%%%DATADIR%%/inter/UNICODE
-%%CHINESE%%%%DATADIR%%/inter/ZH_COMP
-%%CHINESE%%%%DATADIR%%/inter/ZH_DECOMP
+%%CHINESE%%%%DATADIR%%/inter/ZH-COMP
+%%CHINESE%%%%DATADIR%%/inter/ZH-DECOMP
 %%CHINESE%%%%DATADIR%%/to/CCCII
 %%CHINESE%%%%DATADIR%%/to/_CNS11643
 %%CHINESE%%%%DATADIR%%/to/_CNS11643.so
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Po-Chuan Hsieh freebsd_committer 2013-09-21 16:43:27 UTC
State Changed
From-To: open->closed

Committed. Thanks!